From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1162919-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id B7459138351
	for <garchives@archives.gentoo.org>; Sat, 18 Apr 2020 19:33:10 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id F02E7E0984;
	Sat, 18 Apr 2020 19:33:09 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id DC710E0984
	for <gentoo-commits@lists.gentoo.org>; Sat, 18 Apr 2020 19:33:09 +0000 (UTC)
Received: from oystercatcher.gentoo.org (unknown [IPv6:2a01:4f8:202:4333:225:90ff:fed9:fc84])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id D36FD34F078
	for <gentoo-commits@lists.gentoo.org>; Sat, 18 Apr 2020 19:33:08 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 6F99E103
	for <gentoo-commits@lists.gentoo.org>; Sat, 18 Apr 2020 19:33:06 +0000 (UTC)
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Andreas Sturmlechner" <asturm@gentoo.org>
Message-ID: <1587238367.3f9f8015625094a1a9fa13495a7ee2948c6b036e.asturm@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/tagpy/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-python/tagpy/tagpy-2018.1-r1.ebuild
X-VCS-Directories: dev-python/tagpy/
X-VCS-Committer: asturm
X-VCS-Committer-Name: Andreas Sturmlechner
X-VCS-Revision: 3f9f8015625094a1a9fa13495a7ee2948c6b036e
X-VCS-Branch: master
Date: Sat, 18 Apr 2020 19:33:06 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: f1e9d996-18f6-4f42-8b18-6e6ca1457b5e
X-Archives-Hash: c5fc031e8bb6969a01a1e96a9ebe6feb

commit:     3f9f8015625094a1a9fa13495a7ee2948c6b036e
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 18 14:18:48 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Apr 18 19:32:47 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f9f8015

dev-python/tagpy: python3_8 support

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-python/tagpy/tagpy-2018.1-r1.ebuild | 49 +++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/dev-python/tagpy/tagpy-2018.1-r1.ebuild b/dev-python/tagpy/tagpy-2018.1-r1.ebuild
new file mode 100644
index 00000000000..46c43febbef
--- /dev/null
+++ b/dev-python/tagpy/tagpy-2018.1-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_IN_SOURCE_BUILD=1
+DISTUTILS_USE_SETUPTOOLS=no
+inherit distutils-r1
+
+DESCRIPTION="Python Bindings for TagLib"
+HOMEPAGE="https://mathema.tician.de//software/tagpy
+	https://pypi.org/project/tagpy/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 ~sparc x86"
+IUSE="examples"
+
+RDEPEND="
+	>=dev-libs/boost-1.70:=[python,threads,${PYTHON_USEDEP}]
+	>=media-libs/taglib-1.8
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}/${P}-taglib-1.8.patch" )
+
+python_prepare_all() {
+	cp "${FILESDIR}"/${P}-readme.rst README.rst || die
+	distutils-r1_python_prepare_all
+}
+
+python_configure() {
+	local boostpy_ver="${EPYTHON#python}"
+
+	"${PYTHON}" configure.py \
+		--taglib-inc-dir="${EPREFIX}/usr/include/taglib" \
+		--boost-python-libname="boost_python${boostpy_ver/\.}"
+}
+
+python_install_all() {
+	if use examples; then
+		docinto examples
+		dodoc -r test/*
+	fi
+
+	distutils-r1_python_install_all
+}